// Set new default font family and font color to mimic Bootstrap's default styling
Chart.defaults.global.defaultFontFamily = 'Nunito', '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
Chart.defaults.global.defaultFontColor = '#858796';

// Pie Chart Example
var ctx = document.getElementById("myPieChart");

var myPieChart = new Chart(ctx, {
  type: 'doughnut',
  data: {
    labels: ["Direct", "Referral", "Social"],
    datasets: [{
      data: [55, 30, 15],
      backgroundColor: ['#4e73df', '#1cc88a', '#36b9cc'],
      hoverBackgroundColor: ['#2e59d9', '#17a673', '#2c9faf'],
      hoverBorderColor: "rgba(234, 236, 244, 1)",
    }],
  },
  options: {
    maintainAspectRatio: false,
    tooltips: {
      backgroundColor: "rgb(255,255,255)",
      bodyFontColor: "#858796",
      borderColor: '#dddfeb',
      borderWidth: 1,
      xPadding: 15,
      yPadding: 15,
      displayColors: false,
      caretPadding: 10,
    },
    legend: {
      display: false
    },
    cutoutPercentage: 80,
  },
});


loadpoli()
function loadpoli() {
  $.ajax({
    type: 'POST',
    dataType: 'json',
    url: baseURL + '/api/loadRegisterpoli',

    success: function (result) {
      if (result['code'] == 0) {
        //console.log (result);
        var res = result['data'];

        optionseg = '';
        optionseg += '<option value="Pilih" disabled selected>Pilih</option>';
        for (var i = 0; i < res.length; i++) {
          optionseg += '<option value="' + res[i].id_poli + '">' + res[i].nama_poli + '</option>';
        }

        $("select#poli").html(optionseg);
      } else {
        bootbox.dialog({
          message: "<span class='bigger-110'>" + result['info'] + "</span>",
          buttons:
          {
            "OK":
            {
              "label": "<i class='icon-ok'></i> OK ",
              "className": "btn-sm btn-danger",
              "callback": function () {
                notifyCancel('ERROR: ' + result['info'] + '. Bila ada kesulitan dimohon untuk menghubungi Admin terkait');
              }
            }
          }
        });
      }
    }
  });
}

